petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscErrorMessage

returns the text string associated with a PETSc error code.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscErrorMessage(int errnum,const char *text[],char **specific)

Not Collective Many br

### Input Parameter

errnum -the error code Many br

### Output Parameter

| text | - the error message (NULL if not desired) Many br
| specific | - the specific error message that was set with SETERRxxx() or PetscError(). (NULL if not desired) Many br

Many br

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler(), PetscTraceBackErrorHandler() Many br

Level:developer
Location:src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages